Metafunction
Difference
Type of an object that stores the difference between two iterators.
Difference<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Type for which the difference type is determined. Types: Finder, Iter, Proxy, StringEnumerator, thrust::device_vector

Remarks
In most cases this type is ptrdiff_t.
Return Values

Type | Difference type of T.

Member of
StringEnumerator, thrust::device_vector, Proxy, Finder
Part of Concept
RandomAccessIteratorConcept, IteratorAssociatedTypesConcept
See Also
Size
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59